Issue1768075

classification
Title: %c formats values outside of the size of a single char
Type: Severity: normal
Components: Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cgroves, pjenvey, rajesh_battala
Priority: normal Keywords: test failure causes

Created on 2007-08-06.00:18:58 by cgroves, last changed 2008-04-08.00:55:09 by pjenvey.

Messages
msg1807 (view) Author: Charlie Groves (cgroves) Date: 2007-08-06.00:18:58
%c formats values outside of the size of a single char, but it should raise a ValueError.  This is tested by string_tests.py(and thereby test_str, test_userstring and test_unicode), but the failing tests are currently commented out.  See http://wiki.python.org/jython/JythonDeveloperGuide/VersionTransitionTestExclusions for instructions on how to uncomment the test and get to work on fixing the problem.
msg1808 (view) Author: rajesh battala (rajesh_battala) Date: 2007-08-24.05:26:32
i have fixed the bug and attached the patch for it !!
msg3133 (view) Author: Philip Jenvey (pjenvey) Date: 2008-04-08.00:55:09
fixed in r4320, thanks!
History
Date User Action Args
2008-04-08 00:55:09pjenveysetstatus: open -> closed
nosy: + pjenvey
resolution: fixed
messages: + msg3133
2007-08-06 00:18:58cgrovescreate